@echo off
rem ****************************************************************************
rem *             THIS IS AN EXEMPLARY TEST PLUGIN FOR PROCDOT                 *
rem *--------------------------------------------------------------------------*
rem * As such it demonstrates the implementation of context menu plugins that  *
rem * can be verified for the support of specific nodes.                       *
rem ****************************************************************************

rem setlocal enabledelayedexpansion

if %PROCDOTPLUGIN_VerificationRun%==0 (
	rem This is an actual call of the plugin to do its core thing - at this point we should already be in "touch" with a server node.
	rem Put your code here ...
	exit /B 0
) else (
	rem This is a verification run trying to figure out if the script is capable of dealing with server nodes.
	if %PROCDOTPLUGIN_CurrentNode_name:~0,6%==SERVER (
		rem Yes, it is capable of dealing with server nodes.
		exit /B 1
	) else (
		rem No, it is not capable of dealing with server nodes.
		exit /B 0
	)
)
